import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class volcanoErupted: regular object
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */

public class volcanoErupted  extends Actor
{
    private myWorld mworld;
    private GreenfootImage calmVolcano;

    // resets collision detection
    public void started()
    {
        whiteBall bal = (whiteBall) getOneIntersectingObject(whiteBall.class);
        bal = null;
    }
  
    // allows class to access world variables
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
    } // end addedToWorld
    
    // sets the image for which the erupting volcano changes into
    public volcanoErupted()
    {
        calmVolcano = new GreenfootImage("volcano1.jpg");
    } // end volcanoErupted

    public void act() 
    {
        checkStatus();
    } // end act
    
    // checks if it has been touched by white ball
    private void checkStatus()
    {
        whiteBall bal = (whiteBall) getOneIntersectingObject(whiteBall.class);
        
        // has been touched by white ball
        if (bal != null)
        {
            setImage(calmVolcano);
            // this volcano has been deactivated
            mworld.vol1 = 1;
        } // end if
    } // end checkStatus
    
}
