import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class volcanoErupted3: regular object
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */

public class volcanoErupted3  extends Actor
{
    private myWorld mworld;
    private GreenfootImage calmVolcano;

    // resets collision detection
    public void started()
    {
        whiteBall bal = (whiteBall) getOneIntersectingObject(whiteBall.class);
        bal = null;
    }
    
    // allows class to access world variables
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
    } // end addedToWorld
    
    public volcanoErupted3()
    {
        calmVolcano = new GreenfootImage("volcano1.jpg");
    } // end volcanoErupted
    
    public void act() 
    {
        checkStatus();
    } // end act
    
    private void checkStatus()
    {
        whiteBall bal = (whiteBall) getOneIntersectingObject(whiteBall.class);
        
        if (bal != null)
        {
            setImage(calmVolcano);
            // this volcano has been deactivated
            mworld.vol3 = 1;
        } // end if
    } // end checkStatus
}
