import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class whiteBall: regular object
 * can be picked up by the player and follows him/her around
 * 
 * @author Alexaundra Robles
 * @version 1.0 (Feb 11, 2011)
 */

public class whiteBall  extends Actor
{
    boolean isPickedUp = false;
    private myWorld mworld;
    
    // allows class to access world variables
    public void addedToWorld(World world)
    {
        mworld = (myWorld) world;
    } // end addedToWorld
    
    public void act() 
    {
        checkStatus();
        pickedUp();
     //   nearVolcano();
    } // end act
  
    // checks to see if picked up
     private void checkStatus()
    {
        if (isPickedUp) 
        {
            return;
        } // nothing happens if it is already picked up
        
        // checks to see if the woman has picked it up
        woman currentWoman = (woman) getOneIntersectingObject(woman.class);

        // the woman did pick it up
        if (currentWoman != null)
        {
            isPickedUp = true;
        }//endif
    } // end checkStatus
    
    // determines how the ball will move after being picked up
    private void pickedUp()
    {
        if (!isPickedUp) 
        {
            return;
        } // end if
        
        // sets coordinates
        int wx = (int) (mworld.womanCoordsX);
        int wy = (int) (mworld.womanCoordsY);
        
        setLocation(wx, wy);
    } // end pickedUp
}
